ApplicationCreateParameters Class

Request parameters for creating a new application.

All required parameters must be populated in order to send to Azure.

Inheritance
ApplicationCreateParameters

Constructor

ApplicationCreateParameters(**kwargs)

Parameters

allow_guests_sign_in
bool
Required

A property on the application to indicate if the application accepts other IDPs or not or partially accepts.

allow_passthrough_users
bool
Required

Indicates that the application supports pass through users who have no presence in the resource tenant.

app_logo_url
str
Required

The url for the application logo image stored in a CDN.

app_roles
list[AppRole]
Required

The collection of application roles that an application may declare. These roles can be assigned to users, groups or service principals.

app_permissions
list[str]
Required

The application permissions.

available_to_other_tenants
bool
Required

Whether the application is available to other tenants.

error_url
str
Required

A URL provided by the author of the application to report errors when using the application.

group_membership_claims
object
Required

Configures the groups claim issued in a user or OAuth 2.0 access token that the app expects.

homepage
str
Required

The home page of the application.

informational_urls
InformationalUrl
Required

URLs with more information about the application.

is_device_only_auth_supported
bool
Required

Specifies whether this application supports device authentication without a user. The default is false.

key_credentials
list[KeyCredential]
Required

A collection of KeyCredential objects.

known_client_applications
list[str]
Required

Client applications that are tied to this resource application. Consent to any of the known client applications will result in implicit consent to the resource application through a combined consent dialog (showing the OAuth permission scopes required by the client and the resource).

logout_url
str
Required

the url of the logout page

oauth2_allow_implicit_flow
bool
Required

Whether to allow implicit grant flow for OAuth2

oauth2_allow_url_path_matching
bool
Required

Specifies whether during a token Request Azure AD will allow path matching of the redirect URI against the applications collection of replyURLs. The default is false.

oauth2_permissions
list[OAuth2Permission]
Required

The collection of OAuth 2.0 permission scopes that the web API (resource) application exposes to client applications. These permission scopes may be granted to client applications during consent.

oauth2_require_post_response
bool
Required

Specifies whether, as part of OAuth 2.0 token requests, Azure AD will allow POST requests, as opposed to GET requests. The default is false, which specifies that only GET requests will be allowed.

org_restrictions
list[str]
Required

A list of tenants allowed to access application.

optional_claims
OptionalClaims
Required
password_credentials
list[PasswordCredential]
Required

A collection of PasswordCredential objects

pre_authorized_applications
list[PreAuthorizedApplication]
Required

list of pre-authorized applications.

public_client
bool
Required

Specifies whether this application is a public client (such as an installed application running on a mobile device). Default is false.

publisher_domain
str
Required

Reliable domain which can be used to identify an application.

reply_urls
list[str]
Required

A collection of reply URLs for the application.

required_resource_access
list[RequiredResourceAccess]
Required

Specifies resources that this application requires access to and the set of OAuth permission scopes and application roles that it needs under each of those resources. This pre-configuration of required resource access drives the consent experience.

saml_metadata_url
str
Required

The URL to the SAML metadata for the application.

sign_in_audience
str
Required

Audience for signing in to the application (AzureADMyOrganization, AzureADAllOrganizations, AzureADAndMicrosoftAccounts).

www_homepage
str
Required

The primary Web page.

display_name
str
Required

Required. The display name of the application.

identifier_uris
list[str]
Required

A collection of URIs for the application.